using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Takmicenje2._2
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] prviRed = Console.ReadLine().Split();
            int n = Convert.ToInt16(prviRed[0]);
            int treba = Convert.ToInt16(prviRed[1]);
            int[] mociNiz = Array.ConvertAll(Console.ReadLine().Split(), int.Parse);
            List<int> moci = new List<int>(mociNiz);

            int brOperacija = 0;
            int rez = 0;
            while (brOperacija < treba-1) {
                int i = moci.Count - 1;

                if (moci[0] - moci[i] > moci[i] - moci[0]) {
                    rez = moci[0] - moci[i];
                    moci[0] -= moci[i];
                    moci.RemoveAt(i);
                }
                else {
                    rez = moci[i] - moci[0];
                    moci[i] -= moci[0];
                    moci.RemoveAt(0);
                }

                brOperacija++;
            }

            Console.WriteLine(rez);
            Console.ReadKey();
        }
    }
}